# Bruery Contribution

Thanks for your interest in bruery!

First off, thanks for taking the time to contribute!

The following is a set of guidelines for contributing to **the bruery**. These are just guidelines, not rules, use your best judgment and feel free to propose changes to this document in a pull request.

## Summary

* [Code of Conduct](#code-of-conduct)
* [Suggestion Enhancement](#suggestion-enhancement)
* [Pull Request](#pull-request)

## Code of Conduct

This project adheres to the Contributor Covenant [code of conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code.


## Reporting bugs

Bugs are tracked as GitHub issues. Explain the problem and include additional details to help maintainers reproduce the problem.

 - Use a clear and descriptive title for the issue to identify the problem.
 - Describe the exact steps which reproduce the problem.
 - Explain which behavior you expected to see instead and why.
 - If your issue is an error page, you must provide us with a stack trace. With recent versions of Symfony, you can even get stack traces as plain text at the end of the page. Just look for "Stack Trace (Plain Text)", and copy/paste what you see. Do not make a screenshot of the stack trace, as screenshots are not indexed by search engines and will make it difficult for other people to find your bug report. If you have an issue when using the Symfony CLI, use the -vvv option to get a stack trace.
 - Screenshots should be considered additional data, and therefore, you should always provide a textual description of the bug. It is strongly recommended to provide them when reporting UI-related bugs.
 - If you need to provide code, make sure you know how to get syntactic coloration, in particular with fenced code blocks. When you feel the code is to long, use external code pastebin like [https://gist.github.com/](https://gist.github.com/) or [http://hastebin.com/](http://hastebin.com/) . If this is not sufficient, just create a repository to show the issue.
 
 > _NOTE:_ Don't hesitate to give as much information as you can (OS, PHP version, extensions...)
 
## Suggestion Enhancement
 
 Before creating enhancement suggestions, please check out if a proposal already exists.
 
  - Mention why you this enhancement is useful.
  - You can list some other packages where this enhancement exists.
  
## Pull Request

Pull requests are always welcome. We love those!

  - We follow [github flow](https://guides.github.com/introduction/flow/) for our development model.
  - Nice commit messages are always helpful.
  - Reference issues and pull requests liberally.